RDKit::AnnotationType Struct Reference

`#include <MolDraw2D.h>`

## Public Attributes

std::string | text_
StringRect | rect_
OrientType | orient_ = OrientType::C
TextAlignType | align_ = TextAlignType::MIDDLE
bool | scaleText_ = true

## Detailed Description

Definition at line 169 of file MolDraw2D.h.

## Member Data Documentation

## align_

TextAlignType RDKit::AnnotationType::align_ = TextAlignType::MIDDLE

Definition at line 173 of file MolDraw2D.h.

## orient_

OrientType RDKit::AnnotationType::orient_ = OrientType::C

Definition at line 172 of file MolDraw2D.h.

## rect_

StringRect RDKit::AnnotationType::rect_

Definition at line 171 of file MolDraw2D.h.

Referenced by RDKit::MolDraw2D::drawAnnotation(), and RDKit::MolDraw2DSVG::drawAnnotation().

## scaleText_

bool RDKit::AnnotationType::scaleText_ = true

Definition at line 174 of file MolDraw2D.h.

## text_

std::string RDKit::AnnotationType::text_

Definition at line 170 of file MolDraw2D.h.

Referenced by RDKit::MolDraw2D::drawAnnotation(), and RDKit::MolDraw2DSVG::drawAnnotation().

The documentation for this struct was generated from the following file:

- MolDraw2D.h